Update Loyalty Plan
API operation: Open the endpoint in Scalar
Use POST /loyalty_plans/{loyalty_plan_id} to update a loyalty plan. The current public operation is LoyaltyPlan.update.post.
This operation requires administrator authentication. Mutable fields can cover the plan's name, type, accumulation, redemption, maximum, and expiration settings.
See Loyalty plan model for the resource concepts.
OpenAPI reference
Operation: POST /loyalty_plans/{loyalty_plan_id}
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
loyalty_plan_id | integer | Yes | — |
Request body fields
| Name | Type | Required |
|---|---|---|
accumulation_rate | number | No |
businesses | array<any> | No |
expire_after_minutes | integer | null | No |
maximum_accumulation | number | null | No |
maximum_redemption_rate | number | No |
maximum_redemption_type | integer | null | No |
name | any | No |
redemption_rate | number | No |
type | string | No |
Responses
| Code | Description |
|---|---|
| 200 | OK (Envelope) |
| 400 | Bad Request (ErrorResponse) |
| 401 | Unauthorized |
| 404 | Not Found |
| 429 | Too Many Requests (ErrorResponse) |
| 500 | Internal Server Error (ErrorResponse) |
| 503 | Service Unavailable (ErrorResponse) |